Mlfb Class Reference

`#include <LatticeAlgs.h>`

## Public Member Functions

size_t | getMinInitialFacet () const
bool | hasPoint (Neighbor n) const
Neighbor | getPoint (size_t offset) const
size_t | getPointCount () const
bool | operator== (const Mlfb &mlfb) const
size_t | getOffset () const
const vector< mpz_class > & | getRhs () const
string | getName () const
string | getName (const Plane &plane) const
Neighbor | getHitsNeighbor (size_t indexParam) const
size_t | getHitsFacet (size_t indexParam) const
const Mlfb * | getEdge (size_t indexParam) const
Mlfb * | getEdge (size_t indexParam)
size_t | getFacetOf (const Mlfb &adjacent) const
bool | isParallelogram () const
void | reset (size_t offset, const vector< Neighbor > &points)

## Public Attributes

mpq_class | index
mpz_class | dotDegree
vector< Mlfb * > | edges
vector< size_t > | edgeHitsFacet
size_t | minInitialFacet

## Private Attributes

vector< mpz_class > | _rhs
vector< Neighbor > | _points
size_t | _offset
bool | _isParallelogram

## Detailed Description

Definition at line 289 of file LatticeAlgs.h.

## Member Function Documentation

## getEdge() [1/2]

Mlfb * Mlfb::getEdge | ( | size_t | indexParam | ) |

inline

Definition at line 352 of file LatticeAlgs.h.

## getEdge() [2/2]

const Mlfb * Mlfb::getEdge | ( | size_t | indexParam | ) | const

inline

Definition at line 347 of file LatticeAlgs.h.

## getFacetOf()

size_t Mlfb::getFacetOf | ( | const Mlfb & | adjacent | ) | const

inline

Definition at line 357 of file LatticeAlgs.h.

## getHitsFacet()

size_t Mlfb::getHitsFacet | ( | size_t | indexParam | ) | const

inline

Definition at line 342 of file LatticeAlgs.h.

## getHitsNeighbor()

Neighbor Mlfb::getHitsNeighbor | ( | size_t | indexParam | ) | const

inline

Definition at line 337 of file LatticeAlgs.h.

## getMinInitialFacet()

size_t Mlfb::getMinInitialFacet | ( |  | ) | const

inline

Definition at line 291 of file LatticeAlgs.h.

## getName() [1/2]

string Mlfb::getName | ( |  | ) | const

inline

Definition at line 323 of file LatticeAlgs.h.

## getName() [2/2]

string Mlfb::getName | ( | const Plane & | plane | ) | const

inline

Definition at line 329 of file LatticeAlgs.h.

## getOffset()

size_t Mlfb::getOffset | ( |  | ) | const

inline

Definition at line 315 of file LatticeAlgs.h.

## getPoint()

Neighbor Mlfb::getPoint | ( | size_t | offset | ) | const

inline

Definition at line 302 of file LatticeAlgs.h.

## getPointCount()

size_t Mlfb::getPointCount | ( |  | ) | const

inline

Definition at line 307 of file LatticeAlgs.h.

## getRhs()

const vector< mpz_class > & Mlfb::getRhs | ( |  | ) | const

inline

Definition at line 319 of file LatticeAlgs.h.

## hasPoint()

bool Mlfb::hasPoint | ( | Neighbor | n | ) | const

inline

Definition at line 295 of file LatticeAlgs.h.

## isParallelogram()

bool Mlfb::isParallelogram | ( |  | ) | const

inline

Definition at line 364 of file LatticeAlgs.h.

## operator==()

bool Mlfb::operator== | ( | const Mlfb & | mlfb | ) | const

inline

Definition at line 311 of file LatticeAlgs.h.

## reset()

void Mlfb::reset | ( | size_t | offset,
|  | const vector< Neighbor > & | points )

Definition at line 202 of file LatticeAlgs.cpp.

## Member Data Documentation

## _isParallelogram

bool Mlfb::_isParallelogram

private

Definition at line 380 of file LatticeAlgs.h.

## _offset

size_t Mlfb::_offset

private

Definition at line 379 of file LatticeAlgs.h.

## _points

vector<Neighbor> Mlfb::_points

private

Definition at line 378 of file LatticeAlgs.h.

## _rhs

vector<mpz_class> Mlfb::_rhs

private

Definition at line 377 of file LatticeAlgs.h.

## dotDegree

mpz_class Mlfb::dotDegree

Definition at line 369 of file LatticeAlgs.h.

## edgeHitsFacet

vector<size_t> Mlfb::edgeHitsFacet

Definition at line 371 of file LatticeAlgs.h.

## edges

vector<Mlfb*> Mlfb::edges

Definition at line 370 of file LatticeAlgs.h.

## index

mpq_class Mlfb::index

Definition at line 368 of file LatticeAlgs.h.

## minInitialFacet

size_t Mlfb::minInitialFacet

Definition at line 372 of file LatticeAlgs.h.

The documentation for this class was generated from the following files:

- src/LatticeAlgs.h
- src/LatticeAlgs.cpp